org.apache.geode.modules.session.catalina

## Class JvmRouteBinderValve

- java.lang.Object
- - org.apache.catalina.valves.ValveBase
  - - org.apache.geode.modules.session.catalina.JvmRouteBinderValve

- All Implemented Interfaces:
    javax.management.MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Valve

      public class JvmRouteBinderValve
      extends org.apache.catalina.valves.ValveBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `info`

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `container, containerLog, controller, domain, mserver, next, oname, sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JvmRouteBinderValve()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### info

          protected static final java.lang.String info

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JvmRouteBinderValve

          public JvmRouteBinderValve()

  - ### Method Detail

    - #### invoke

          public void invoke(org.apache.catalina.connector.Request request,
                             org.apache.catalina.connector.Response response)
                      throws java.io.IOException,
                             javax.servlet.ServletException

      Specified by:
        `invoke` in interface `org.apache.catalina.Valve`
      Specified by:
        `invoke` in class `org.apache.catalina.valves.ValveBase`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`